package co.yixiang.yshop.module.order.convert.storeorderdetail;


import co.yixiang.yshop.module.order.controller.admin.storeorderdetail.vo.StoreOrderDetailCreateReqVO;
import co.yixiang.yshop.module.order.controller.admin.storeorderdetail.vo.StoreOrderDetailExcelVO;
import co.yixiang.yshop.module.order.controller.admin.storeorderdetail.vo.StoreOrderDetailRespVO;
import co.yixiang.yshop.module.order.controller.admin.storeorderdetail.vo.StoreOrderDetailUpdateReqVO;
import co.yixiang.yshop.module.order.dal.dataobject.storeorderdetail.StoreOrderDetailDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.framework.common.pojo.PageResult;

import java.util.List;

/**
 * 订单明细 Convert
 *
 * @author moxiangrong
 */
@Mapper
public interface StoreOrderDetailConvert {

    StoreOrderDetailConvert INSTANCE = Mappers.getMapper(StoreOrderDetailConvert.class);

    StoreOrderDetailDO convert(StoreOrderDetailCreateReqVO bean);

    StoreOrderDetailDO convert(StoreOrderDetailUpdateReqVO bean);

    StoreOrderDetailRespVO convert(StoreOrderDetailDO bean);

    List<StoreOrderDetailRespVO> convertList(List<StoreOrderDetailDO> list);

    PageResult<StoreOrderDetailRespVO> convertPage(PageResult<StoreOrderDetailDO> page);

    List<StoreOrderDetailExcelVO> convertList02(List<StoreOrderDetailDO> list);

}
